### Method

# Camel Service ref_settings

since: 3.6

#### Declaration [src]

    CamelSettings*
    camel_service_ref_settings (
      CamelService* service
    )

#### Description [src]

Returns the `CamelSettings` instance associated with the service.

The returned `CamelSettings` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.6

#### Return value

Type: `CamelSettings`

The `CamelSettings`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.